# Uses of Interface
org.apache.lucene.util.fst.FSTReader

Packages that use FSTReader
Package
Description
org.apache.lucene.util.fst
Finite state transducers

- ## Uses of FSTReader in org.apache.lucene.util.fst

  Classes in org.apache.lucene.util.fst that implement FSTReader
  Modifier and Type
  Class
  Description
  `final class`
  `OffHeapFSTStore`
  Provides off heap storage of finite state machine (FST), using underlying index input instead of byte store on heap
  `final class`
  `OnHeapFSTStore`
  Provides storage of finite state machine (FST), using byte array or byte store allocated on heap.
  Methods in org.apache.lucene.util.fst that return FSTReader
  Modifier and Type
  Method
  Description
  `FSTReader`
  FSTCompiler.`getFSTReader()`
  Get the respective `FSTReader` of the `DataOutput`.
  Methods in org.apache.lucene.util.fst with parameters of type FSTReader
  Modifier and Type
  Method
  Description
  `static <T> FST<T>`
  FST.`fromFSTReader(FST.FSTMetadata<T> fstMetadata, FSTReader fstReader)`
  Create a FST from a `FSTReader`.